## gfxboot-themes 4.2.1

=== themes/openSUSE/fonts/Makefile ===
BINDIR      := $(shell [ -x ../../../gfxboot-font ] && echo ../../../ )

GFXBOOT_FONT = $(BINDIR)gfxboot-font
KEYMAPCHARS  = $(BINDIR)bin/keymapchars

all: .ready

fonts: 16x16.fnt

.ready:
	@touch .ready

16x16.fnt: ../po/en.tr ../src/main.log
	cat ../po/*.tr ../help-*/*/*.html >tmp.txt
	$(GFXBOOT_FONT) -v -l 18 \
	-a 0x2022-0x2023 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`$(KEYMAPCHARS) ../keymaps/keymap.*.inc` \
	-t tmp.txt \
	-t ../src/main.log \
	-t ../data-install/languages \
	-f NachlieliCLM-Bold:size=14:c=0x590-0x5ff \
	-f KacstOne:size=12:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=1 \
	-f lohit_hi:size=16:c=0x0901-0x0970:bold=1 \
	-f lohit_pa:size=15:c=0x0a01-0x0a74:bold=1:autohint=1 \
	-f lohit_gu:size=15:c=0x0a81-0x0af1:bold=1 \
	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=1 \
	-f lklug:size=17:c=0x0d82-0x0df4:bold=1:dy=1 \
	-f Loma:size=14:c=0x0e01-0x0e7f:bold=0:dy=0 \
	-f Loma:size=17:c=0x0e81-0x0eff:bold=0:dy=-2 \
	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
	-f DejaVuSans-Bold:size=14 \
	-f FZHeiTi:size=17:nobitmap=1:autohint=1 \
	-f gulim:size=17:bold=1:nobitmap=1:autohint=1 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	rm -f .ready *~

## gfxboot-themes 4.2.2

=== themes/openSUSE/Makefile ===
BINDIR      := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )

BASED_ON     = $(shell perl -ne 'print if s/^based_on=//' config)

ifeq ($(BASED_ON),)
PREPARED     = 1
else
PREPARED     = $(shell [ -f .prepared ] && echo 1)
endif

ADDDIR       = ../../bin/adddir
BFLAGS       = -O -v -L ../..

SUBDIRS      = fonts help-boot help-install po src

THEME        = $(shell basename `pwd`)

DEFAULT_LANG =

.PHONY: all clean distclean themes $(SUBDIRS)

ifeq ($(PREPARED), 1)

  all: bootlogo message

else

  all:
	$(ADDDIR) ../$(BASED_ON) .
	make clean
	touch .prepared
	make

endif

themes: all

%/.ready: %
	make -C $*

src/main.bin: src
	make -C src

bootlogo: src/main.bin src/gfxboot.cfg help-install/.ready po/.ready fonts/.ready
	@rm -rf bootlogo.dir
	@mkdir bootlogo.dir
	perl -p -e 's/^(layout=.*)/$$1,install/' src/gfxboot.cfg >bootlogo.dir/gfxboot.cfg
	perl -pi -e 's/^(theme=).*/$$1$(THEME)/' bootlogo.dir/gfxboot.cfg
	cp -rL data-install/* fonts/*.fnt po/*.tr bootlogo.dir
	cp -rL help-install/*.hlp bootlogo.dir
	cp src/main.bin bootlogo.dir/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >bootlogo.dir/lang
endif
	@sh -c 'cd bootlogo.dir; chmod +t * ; chmod -t init languages'
	@sh -c 'cd bootlogo.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet -o >../bootlogo'

message: src/main.bin src/gfxboot.cfg help-boot/.ready po/.ready fonts/.ready
	@rm -rf message.dir
	@mkdir message.dir
	perl -p -e 's/^(layout=.*)/$$1,boot/' src/gfxboot.cfg >message.dir/gfxboot.cfg
	perl -pi -e 's/^(theme=).*/$$1$(THEME)/' message.dir/gfxboot.cfg
	cp -rL data-boot/* fonts/*.fnt message.dir
	cp -rL po/en.tr help-boot/en.hlp message.dir
	cp src/main.bin message.dir/init
ifdef DEFAULT_LANG
	cp -rL po/$(DEFAULT_LANG).tr help-boot/$(DEFAULT_LANG).hlp message.dir
	@echo $(DEFAULT_LANG) >message.dir/lang
	@echo $(DEFAULT_LANG) >>message.dir/languages
endif
	@sh -c 'cd message.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet -o >../message'

clean:
	@for i in $(SUBDIRS) ; do [ ! -f $$i/Makefile ] ||  make -C $$i clean || break ; done
	rm -rf bootlogo bootlogo.dir message message.dir *~

distclean: clean
ifneq ($(BASED_ON),)
	rm -f .prepared
	rm -f `find -type l \! -wholename ./Makefile`
	rmdir `find -depth -type d \! -name . \! -name .svn \! -wholename './.svn/*' \! -wholename './*/.svn/*'` 2>/dev/null || true
endif

## gfxboot-themes 4.4.3-2.5

=== debian/changelog ===
gfxboot-themes (4.4.3-2.5-1) unstable; urgency=low

  * Merging upstream version 4.4.3-2.5:
    - adds new KDE theme.
  * Updating versioned gfxboot depends to 4.3.5.
  * Updating maintainer and uploaders fields.
  * Removing vcs entries.
  * Removing references to my old email address.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Switching to source format 3.0 (quilt).
  * Updating years in copyright file.
  * Correcting spelling typo in package description, thanks to Simon
    Kainz <simon@familiekainz.at>.
  * Makging packaging distribution neutral.
  * Compacting copyright file.
  * Using common coding style for shell in rules.
  * Adding new gfxboot-themes-kde binary package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 19:29:01 +0200

gfxboot-themes (4.3.5-2.2-1) experimental; urgency=low

  * Merging upstream version 4.3.5-2.2.
  * Updating versioned gfxboot depends to 4.3.5.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 17:31:20 +0100

gfxboot-themes (4.3.1-1.5-1) experimental; urgency=low

  * Merging upstream version 4.3.1-1.5.
  * Updating versioned gfxboot depends to 4.3.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 15 Sep 2010 09:04:04 +0200

gfxboot-themes (4.3.0-1.3-1) experimental; urgency=low

  * Merging upstream version 4.3.0-1.3.
  * Updating versioned gfxboot depends to 4.3.0.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 22:50:42 +0200

gfxboot-themes (4.2.2-1.2-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 4.2.2-1.2.
  * Updating versioned gfxboot depends to 4.2.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Jul 2010 00:36:04 +0200

gfxboot-themes (4.2.1-1.2-1) unstable; urgency=low

  * Merging upstream version 4.2.1-1.2.
  * Updating versioned gfxboot depends to 4.2.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Jun 2010 09:57:20 +0200

gfxboot-themes (4.1.47-1.1-1) unstable; urgency=low

  * Merging upstream version 4.1.47-1.1.
  * Updating versioned gfxboot depends to 4.1.47.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 May 2010 15:56:38 +0200

gfxboot-themes (4.1.44-1.1-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 4.1.44-1.1.
  * Updating year in copyright file.
  * Sorting dh call in rules to common order.
  * Updating versioned gfxboot depends to 4.1.44.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 24 Apr 2010 11:39:24 +0200

gfxboot-themes (4.1.41-1.1-1) unstable; urgency=low

  * Merging upstream version 4.1.41-1.1.
  * Updating versioned gfxboot depends to 4.1.41.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 23 Dec 2009 09:13:17 +0100

gfxboot-themes (4.1.40-1.2-1) unstable; urgency=low

  * Merging upstream version 4.1.20-1.2.
  * Updating versioned gfxboot depends to 4.1.40.
  * Updating README.source.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Correcting install location of themes, thanks to tefan Lippers-
    Hollmann <s.L-H@gmx.de> (Closes: #558138).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 27 Nov 2009 15:25:37 +0100

gfxboot-themes (4.1.39-1.3-1) unstable; urgency=low

  * Merging upstream version 4.1.39-1.3.
  * Updating versioned gfxboot depends to 4.1.39.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 10 Nov 2009 12:01:58 +0100

gfxboot-themes (4.1.33-1.1-1) unstable; urgency=low

  * Merging upstream version 4.1.33-1.1.
  * Updating versioned gfxboot depends to 4.1.33.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 21 Oct 2009 08:38:46 +0200

gfxboot-themes (4.1.31-1.1-1) unstable; urgency=low

  * Merging upstream version 4.1.31-1.1.
  * Updating versioned gfxboot depends to 4.1.31.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Oct 2009 13:06:10 +0200

gfxboot-themes (4.1.30-1.2-1) unstable; urgency=low

  * Merging upstream version 4.1.30-1.2.
  * Updating versioned gfxboot depends to 4.1.30.
  * Making quilt build-depends versioned.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Oct 2009 20:38:19 +0200

gfxboot-themes (4.1.28-1.1-1) unstable; urgency=low

  * Merging upstream version 4.1.28-1.1.
  * Updating version gfxboot depends to 4.1.28.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Oct 2009 19:56:53 +0200

gfxboot-themes (4.1.24-1.1-1) unstable; urgency=low

  * Merging upstream version 4.1.24-1.1.
  * Updating version gfxboot depends to 4.1.24.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Sep 2009 21:21:02 +0200

gfxboot-themes (4.1.19-2.15-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 02 Sep 2009 16:53:56 +0200

=== debian/control ===
Source: gfxboot-themes
Section: misc
Priority: extra
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 8), gfxboot-dev (>= 4.4.3)
Standards-Version: 3.9.2
Homepage: http://gfxboot.sourceforge.net/

Package: gfxboot-themes-kde
Architecture: all
Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
Recommends: gfxboot-dev
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (KDE theme)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the KDE theme.

Package: gfxboot-themes-opensuse
Architecture: all
Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
Recommends: gfxboot-dev
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (openSUSE theme)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the openSUSE theme.

Package: gfxboot-themes-sled
Architecture: all
Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
Recommends: gfxboot-dev
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (SLED theme)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the SLED theme.

Package: gfxboot-themes-sles
Architecture: all
Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
Recommends: gfxboot-dev
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (SLES theme)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the SLES theme.

Package: gfxboot-themes-upstream
Architecture: all
Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
Recommends: gfxboot-dev
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (upstream theme)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the upstream theme.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build

override_dh_auto_build:
	cp -a themes build

	$(MAKE) -C build/openSUSE/help-install
	$(MAKE) -C build/openSUSE

	for _THEME in $$(cd build && ls); \
	do \
		if [ "$${_THEME}" != "openSUSE" ]; \
		then \
			$(MAKE) -C build/$${_THEME}; \
		fi; \
	done

override_dh_install:
	dh_install

	mkdir -p debian/gfxboot-themes-opensuse/usr/share/gfxboot/themes
	cp -a themes/openSUSE debian/gfxboot-themes-opensuse/usr/share/gfxboot/themes

	for _THEME in $$(cd themes && ls); \
	do \
		if [ "$${_THEME}" != "openSUSE" ]; \
		then \
			_PACKAGE="gfxboot-themes-`echo $${_THEME} | tr [A-Z] [a-z]`"; \
			mkdir -p debian/$${_PACKAGE}/usr/share/gfxboot/themes; \
			cp -a themes/openSUSE debian/$${_PACKAGE}/usr/share/gfxboot/themes/$${_THEME}; \
			cd themes/$${_THEME}; \
			find . | cpio -dmpu --no-preserve-owner ../../debian/$${_PACKAGE}/usr/share/gfxboot/themes/$${_THEME}; \
			cd -; \
			rm -f debian/$${_PACKAGE}/usr/share/gfxboot/themes/$${_THEME}/Makefile; \
			cp -a themes/openSUSE/Makefile debian/$${_PACKAGE}/usr/share/gfxboot/themes/$${_THEME}/Makefile; \
		fi; \
	done

	for _THEME in $$(cd build && ls); \
	do \
		_PACKAGE="gfxboot-themes-`echo $${_THEME} | tr [A-Z] [a-z]`"; \
		install -D -m 0644 build/$${_THEME}/bootlogo debian/$${_PACKAGE}/etc/bootsplash/themes/$${_THEME}/cdrom/bootlogo; \
		/usr/share/gfxboot/bin/unpack_bootlogo debian/$${_PACKAGE}/etc/bootsplash/themes/$${_THEME}/cdrom; \
		mkdir -p debian/$${_PACKAGE}/etc/bootsplash/themes/$${_THEME}/bootloader; \
		cp -a build/$${_THEME}/message build/$${_THEME}/help-boot/*.hlp build/$${_THEME}/po/*.tr debian/$${_PACKAGE}/etc/bootsplash/themes/$${_THEME}/bootloader; \
	done

override_dh_fixperms:
	dh_fixperms

	find . debian -name "*.xcf" | xargs chmod 0644

## gfxboot-themes 4.5.0-67.1

=== debian/changelog ===
gfxboot-themes (4.5.0-67.1-2) unstable; urgency=low

  * Removing old todo file.
  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 18:51:48 +0200

gfxboot-themes (4.5.0-67.1-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Updating package to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Merging upstream version 4.5.0-67.1.
  * Updating versioned gfxboot depends to 4.5.0.
  * Updating years in copyright file.
  * Updating copyright to format 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 06 Jun 2012 16:41:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 8), gfxboot-dev (>= 4.4.3)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), gfxboot-dev (>= 4.5.0)
+Standards-Version: 3.9.3
 Homepage: http://gfxboot.sourceforge.net/
 
 Package: gfxboot-themes-kde
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (KDE theme)
@@ -20,7 +20,7 @@
 
 Package: gfxboot-themes-opensuse
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (openSUSE theme)
@@ -31,7 +31,7 @@
 
 Package: gfxboot-themes-sled
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (SLED theme)
@@ -42,7 +42,7 @@
 
 Package: gfxboot-themes-sles
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (SLES theme)
@@ -53,7 +53,7 @@
 
 Package: gfxboot-themes-upstream
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.4.3)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (upstream theme)

## gfxboot-themes 4.5.1-1.2

=== debian/changelog ===
gfxboot-themes (4.5.1-1.2-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:36:26 +0100

gfxboot-themes (4.5.1-1.2-2) unstable; urgency=low

  * Removing Otavio from uploaders with his consent.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:35:35 +0100

gfxboot-themes (4.5.1-1.2-1) unstable; urgency=low

  * Merging upstream version 4.5.1-1.2.
  * Updating versioned gfxboot depends to 4.5.1.
  * Updating to standards version 3.9.4.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 12:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: gfxboot-themes
 Section: misc
 Priority: extra
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 9), gfxboot-dev (>= 4.5.0)
-Standards-Version: 3.9.3
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Build-Depends: debhelper (>= 9), gfxboot-dev (>= 4.5.1)
+Standards-Version: 3.9.4
 Homepage: http://gfxboot.sourceforge.net/
 
 Package: gfxboot-themes-kde
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.1)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (KDE theme)
@@ -20,7 +19,7 @@
 
 Package: gfxboot-themes-opensuse
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.1)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (openSUSE theme)
@@ -31,7 +30,7 @@
 
 Package: gfxboot-themes-sled
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.1)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (SLED theme)
@@ -42,7 +41,7 @@
 
 Package: gfxboot-themes-sles
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.1)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (SLES theme)
@@ -53,7 +52,7 @@
 
 Package: gfxboot-themes-upstream
 Architecture: all
-Depends: ${misc:Depends}, gfxboot (>= 4.5.0)
+Depends: ${misc:Depends}, gfxboot (>= 4.5.1)
 Recommends: gfxboot-dev
 Provides: gfxboot-theme
 Description: tool to test and create graphical boot logos (upstream theme)

=== debian/rules ===
--- 
+++ 
@@ -58,3 +58,6 @@
 	dh_fixperms
 
 	find . debian -name "*.xcf" | xargs chmod 0644
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z9
